--- title: "get-nas-list" slug: "get-nas-list" tags: ["Cloud Data Box"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/get-nas-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-nas-list Available in VPC Get NAS used for exporting and importing files. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/storage/get-nas-list | ### Request headers For information about the headers common to all Cloud Data Box APIs, see [Cloud Data Box request headers](/docs/en/data-box-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `dataBoxNo` | Integer | Required | Data box number - Number displayed in common for server names in the **Infrastructure** tab menu that appears after clicking the **[View Server Details]** button in the **My Space** menu of the NAVER Cloud Platform Console. - How to check data box details: See [Cloud Data Box User Guide](https://guide.ncloud-docs.com/docs/en/clouddatabox-connect#2-%EC%9D%B8%ED%94%84%EB%9D%BC-%EC%84%9C%EB%B9%84%EC%8A%A4%EC%9D%98-%EC%A0%91%EC%86%8D-%EC%A0%95%EB%B3%B4-%ED%99%95%EC%9D%B8). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://databox.apigw.ntruss.com/api/v1/storage/get-nas-list?dataBoxNo=****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Number of response results | | `content` | Array | - | NAS list: [content](/docs/en/get-nas-list#content) | #### content The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `nasInstanceNo` | String | - | NAS instance number | | `nasName` | String | - | NAS name | ### Response status codes For information about the HTTP status codes common to all Cloud Data Box APIs, see [Cloud Data Box response status codes](/docs/en/data-box-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 1, "content": [ { "nasInstanceNo": "********", "nasName": "nasw1" } ] } ```